Berkeley DB version 4.3.28

## com.sleepycat.db
Class ReplicationHandleDeadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.db.ReplicationHandleDeadException

All Implemented Interfaces:
  Serializable

public class ReplicationHandleDeadException
extends DatabaseException

Thrown when a database handle has been invalidated because a replication election unrolled a committed transaction. When this happens the handle is no longer able to be used and the application must close the handle using the `Database.close` method and open a new handle. This exception is thrown when a client unrolls a transaction in order to synchronize with a new master. If the application was permitted to use the original handle, it's possible the handle might attempt to access nonexistent resources.

See Also:
  Serialized Form

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Berkeley DB version 4.3.28

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.